Bug 97692 - GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [3497], reason: Engine(s) hung, action: reset
Summary: GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [3497], reason: Engine(s) hun...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium blocker
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
: 93528 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-09-09 13:41 UTC by marco.grimaldi
Modified: 2019-09-25 18:58 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
cat /sys/class/drm/card0/error | gzip > error.gz (79.31 KB, application/octet-stream)
2016-09-09 13:43 UTC, marco.grimaldi
Details
cat /sys/class/drm/card0/error | gzip > error_BL2_update01.gz (78.08 KB, application/octet-stream)
2016-09-13 10:54 UTC, marco.grimaldi
Details
cat /sys/class/drm/card0/error | gzip > error_BL2_update02.gz (79.66 KB, application/octet-stream)
2016-09-19 20:02 UTC, marco.grimaldi
Details
Bisect between 12.0.3 and master to find the patch which fixed the hangs (2.35 KB, text/plain)
2016-09-25 05:58 UTC, Kenneth Graunke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marco.grimaldi 2016-09-09 13:41:35 UTC
GPU HANG/Game freezes after a few minutes of gamplay

dmesg log:
[14196.801434] [drm] stuck on render ring
[14196.804365] [drm] GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [3497], reason: Engine(s) hung, action: reset
[14196.804370] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[14196.804373] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[14196.804375] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[14196.804378] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[14196.804381] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[14196.806291] drm/i915: Resetting chip after gpu hang
[14198.801477] [drm] RC6 on
[14206.805075] [drm] stuck on render ring
[14206.808173] [drm] GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [3497], reason: Engine(s) hung, action: reset
[14206.810105] drm/i915: Resetting chip after gpu hang
[14208.795393] [drm] RC6 on

uname -a:
Linux moby 4.7.2-1-MANJARO #1 SMP PREEMPT Sun Aug 21 15:04:37 UTC 2016 x86_64 GNU/Linux

cat /var/log/Xorg.0.log:
[     3.739] 
X.Org X Server 1.17.4
Release Date: 2015-10-28
[     3.739] X Protocol Version 11, Revision 0
[     3.739] Build Operating System: Linux 4.5.7-1-MANJARO x86_64 
[     3.739] Current Operating System: Linux moby 4.7.2-1-MANJARO #1 SMP PREEMPT Sun Aug 21 15:04:37 UTC 2016 x86_64
[     3.739] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.7-x86_64 root=UUID=e25a2c16-6adb-4bec-bfb4-17bbf0009513 rw quiet splash resume=UUID=5459395f-5882-43fa-8c2c-dcbec770e6fd
[     3.739] Build Date: 17 July 2016  10:10:01PM
[     3.739]  
[     3.739] Current version of pixman: 0.34.0
[     3.739] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[     3.739] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[     3.739] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Sep  9 09:06:36 2016
[     3.740] (==) Using config directory: "/etc/X11/xorg.conf.d"
[     3.740] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[     3.748] (==) No Layout section.  Using the first Screen section.
[     3.748] (==) No screen section available. Using defaults.
[     3.748] (**) |-->Screen "Default Screen Section" (0)
[     3.748] (**) |   |-->Monitor "<default monitor>"
[     3.748] (==) No device specified for screen "Default Screen Section".
	Using the first device section listed.
[     3.748] (**) |   |-->Device "Device0"
[     3.748] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[     3.748] (==) Automatically adding devices
[     3.748] (==) Automatically enabling devices
[     3.748] (==) Automatically adding GPU devices
[     3.750] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi/".
[     3.750] 	Entry deleted from font path.
[     3.750] 	(Run 'mkfontdir' on "/usr/share/fonts/100dpi/").
[     3.751] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi/".
[     3.751] 	Entry deleted from font path.
[     3.751] 	(Run 'mkfontdir' on "/usr/share/fonts/75dpi/").
[     3.751] (==) FontPath set to:
	/usr/share/fonts/misc/,
	/usr/share/fonts/TTF/,
	/usr/share/fonts/OTF/,
	/usr/share/fonts/Type1/
[     3.751] (==) ModulePath set to "/usr/lib/xorg/modules"
[     3.751] (**) Extension "Composite" is enabled
[     3.751] (**) Extension "RENDER" is enabled
[     3.751] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[     3.751] (II) Loader magic: 0x81ed20
[     3.751] (II) Module ABI versions:
[     3.751] 	X.Org ANSI C Emulation: 0.4
[     3.751] 	X.Org Video Driver: 19.0
[     3.751] 	X.Org XInput driver : 21.1
[     3.751] 	X.Org Server Extension : 9.0
[     3.753] (EE) systemd-logind: failed to get session: PID 413 does not belong to any known session
[     3.754] (II) xfree86: Adding drm device (/dev/dri/card0)
[     3.755] (--) PCI:*(0:0:2:0) 8086:1912:1043:8694 rev 6, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/131072
[     3.755] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[     3.755] (II) LoadModule: "glx"
[     3.758] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[     3.765] (II) Module glx: vendor="X.Org Foundation"
[     3.765] 	compiled for 1.17.4, module version = 1.0.0
[     3.765] 	ABI class: X.Org Server Extension, version 9.0
[     3.765] (==) AIGLX enabled
[     3.765] (II) LoadModule: "intel"
[     3.766] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[     3.768] (II) Module intel: vendor="X.Org Foundation"
[     3.768] 	compiled for 1.17.4, module version = 2.99.917
[     3.768] 	Module class: X.Org Video Driver
[     3.768] 	ABI class: X.Org Video Driver, version 19.0
[     3.768] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
	i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
	915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
	Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
	GM45, 4 Series, G45/G43, Q45/Q43, G41, B43
[     3.768] (II) intel: Driver for Intel(R) HD Graphics: 2000-6000
[     3.768] (II) intel: Driver for Intel(R) Iris(TM) Graphics: 5100, 6100
[     3.768] (II) intel: Driver for Intel(R) Iris(TM) Pro Graphics: 5200, 6200, P6300
[     3.768] (++) using VT number 7

[     3.772] (II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20160425
[     3.772] (II) intel(0): SNA compiled from 2.99.917-697-g12c14de
[     3.773] (--) intel(0): gen9 engineering sample
[     3.773] (--) intel(0): CPU: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2, avx, avx2; using a maximum of 4 threads
[     3.773] (II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[     3.773] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[     3.773] (==) intel(0): RGB weight 888
[     3.773] (==) intel(0): Default visual is TrueColor
[     3.773] (**) intel(0): Option "AccelMethod" "sna"
[     3.773] (**) intel(0): Option "DRI" "true"
[     3.773] (**) intel(0): Option "TearFree" "true"
[     3.774] (II) intel(0): Output HDMI1 has no monitor section
[     3.774] (II) intel(0): Enabled output HDMI1
[     3.774] (II) intel(0): Output HDMI2 has no monitor section
[     3.774] (II) intel(0): Enabled output HDMI2
[     3.774] (--) intel(0): Using a maximum size of 256x256 for hardware cursors
[     3.774] (II) intel(0): Output VIRTUAL1 has no monitor section
[     3.774] (II) intel(0): Enabled output VIRTUAL1
[     3.774] (--) intel(0): Output HDMI2 using initial mode 1920x1080 on pipe 0
[     3.774] (**) intel(0): TearFree enabled
[     3.774] (==) intel(0): DPI set to (96, 96)
[     3.774] (II) Loading sub module "dri3"
[     3.774] (II) LoadModule: "dri3"
[     3.774] (II) Module "dri3" already built-in
[     3.774] (II) Loading sub module "dri2"
[     3.774] (II) LoadModule: "dri2"
[     3.774] (II) Module "dri2" already built-in
[     3.774] (II) Loading sub module "present"
[     3.774] (II) LoadModule: "present"
[     3.774] (II) Module "present" already built-in
[     3.774] (==) Depth 24 pixmap format is 32 bpp
[     3.776] (II) intel(0): SNA initialized with Skylake (gen9) backend
[     3.776] (==) intel(0): Backing store enabled
[     3.776] (==) intel(0): Silken mouse enabled
[     3.776] (II) intel(0): HW Cursor enabled
[     3.776] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[     3.777] (==) intel(0): DPMS enabled
[     3.777] (==) intel(0): Display hotplug detection enabled
[     3.777] (II) intel(0): [DRI2] Setup complete
[     3.777] (II) intel(0): [DRI2]   DRI driver: i965
[     3.777] (II) intel(0): [DRI2]   VDPAU driver: va_gl
[     3.777] (II) intel(0): direct rendering: DRI2 DRI3 enabled
[     3.777] (II) intel(0): hardware support for Present enabled
[     3.777] (--) RandR disabled
[     3.803] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[     3.803] (II) AIGLX: enabled GLX_ARB_create_context
[     3.803] (II) AIGLX: enabled GLX_ARB_create_context_profile
[     3.803] (II) AIGLX: enabled GLX_EXT_create_context_es2_profile
[     3.803] (II) AIGLX: enabled GLX_INTEL_swap_event
[     3.803] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[     3.803] (II) AIGLX: enabled GLX_EXT_framebuffer_sRGB
[     3.803] (II) AIGLX: enabled GLX_ARB_fbconfig_float
[     3.803] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[     3.804] (II) AIGLX: enabled GLX_ARB_create_context_robustness
[     3.804] (II) AIGLX: Loaded and initialized i965
[     3.804] (II) GLX: Initialized DRI2 GL provider for screen 0
[     3.811] (II) intel(0): switch to mode 1920x1080@60.0 on HDMI2 using pipe 0, position (0, 0), rotation normal, reflection none
[     3.811] (II) intel(0): Setting screen physical size to 508 x 285
[     3.860] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[     3.860] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[     3.860] (**) Power Button: Applying InputClass "libinput keyboard catchall"
[     3.860] (**) Power Button: Applying InputClass "system-keyboard"
[     3.860] (**) Power Button: Applying InputClass "Keyboard Defaults"
[     3.860] (II) LoadModule: "libinput"
[     3.861] (II) Loading /usr/lib/xorg/modules/input/libinput_drv.so
[     3.863] (II) Module libinput: vendor="X.Org Foundation"
[     3.863] 	compiled for 1.17.4, module version = 0.19.0
[     3.863] 	Module class: X.Org XInput Driver
[     3.863] 	ABI class: X.Org XInput driver, version 21.1
[     3.863] (II) Using input driver 'libinput' for 'Power Button'
[     3.863] (**) Power Button: always reports core events
[     3.863] (**) Option "Device" "/dev/input/event2"
[     3.864] (**) Option "_source" "server/udev"
[     3.864] (II) input device 'Power Button', /dev/input/event2 is tagged by udev as: Keyboard
[     3.864] (II) input device 'Power Button', /dev/input/event2 is a keyboard
[     3.873] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event2"
[     3.873] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[     3.873] (**) Option "xkb_model" "pc105"
[     3.873] (**) Option "xkb_layout" "us"
[     3.873] (**) Option "xkb_variant" "mac"
[     3.873] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     3.886] (II) input device 'Power Button', /dev/input/event2 is tagged by udev as: Keyboard
[     3.886] (II) input device 'Power Button', /dev/input/event2 is a keyboard
[     3.886] (II) config/udev: Adding input device Video Bus (/dev/input/event4)
[     3.886] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[     3.886] (**) Video Bus: Applying InputClass "libinput keyboard catchall"
[     3.886] (**) Video Bus: Applying InputClass "system-keyboard"
[     3.886] (**) Video Bus: Applying InputClass "Keyboard Defaults"
[     3.886] (II) Using input driver 'libinput' for 'Video Bus'
[     3.886] (**) Video Bus: always reports core events
[     3.886] (**) Option "Device" "/dev/input/event4"
[     3.886] (**) Option "_source" "server/udev"
[     3.886] (II) input device 'Video Bus', /dev/input/event4 is tagged by udev as: Keyboard
[     3.886] (II) input device 'Video Bus', /dev/input/event4 is a keyboard
[     3.903] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input7/event4"
[     3.903] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[     3.903] (**) Option "xkb_model" "pc105"
[     3.903] (**) Option "xkb_layout" "us"
[     3.903] (**) Option "xkb_variant" "mac"
[     3.903] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     3.903] (II) input device 'Video Bus', /dev/input/event4 is tagged by udev as: Keyboard
[     3.903] (II) input device 'Video Bus', /dev/input/event4 is a keyboard
[     3.904] (II) config/udev: Adding input device Power Button (/dev/input/event1)
[     3.904] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[     3.904] (**) Power Button: Applying InputClass "libinput keyboard catchall"
[     3.904] (**) Power Button: Applying InputClass "system-keyboard"
[     3.904] (**) Power Button: Applying InputClass "Keyboard Defaults"
[     3.904] (II) Using input driver 'libinput' for 'Power Button'
[     3.904] (**) Power Button: always reports core events
[     3.904] (**) Option "Device" "/dev/input/event1"
[     3.904] (**) Option "_source" "server/udev"
[     3.904] (II) input device 'Power Button', /dev/input/event1 is tagged by udev as: Keyboard
[     3.904] (II) input device 'Power Button', /dev/input/event1 is a keyboard
[     3.916] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3/event1"
[     3.916] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 8)
[     3.916] (**) Option "xkb_model" "pc105"
[     3.916] (**) Option "xkb_layout" "us"
[     3.916] (**) Option "xkb_variant" "mac"
[     3.916] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     3.917] (II) input device 'Power Button', /dev/input/event1 is tagged by udev as: Keyboard
[     3.917] (II) input device 'Power Button', /dev/input/event1 is a keyboard
[     3.917] (II) config/udev: Adding input device Sleep Button (/dev/input/event0)
[     3.917] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[     3.917] (**) Sleep Button: Applying InputClass "libinput keyboard catchall"
[     3.917] (**) Sleep Button: Applying InputClass "system-keyboard"
[     3.917] (**) Sleep Button: Applying InputClass "Keyboard Defaults"
[     3.917] (II) Using input driver 'libinput' for 'Sleep Button'
[     3.917] (**) Sleep Button: always reports core events
[     3.917] (**) Option "Device" "/dev/input/event0"
[     3.917] (**) Option "_source" "server/udev"
[     3.917] (II) input device 'Sleep Button', /dev/input/event0 is tagged by udev as: Keyboard
[     3.917] (II) input device 'Sleep Button', /dev/input/event0 is a keyboard
[     3.930] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event0"
[     3.930] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 9)
[     3.930] (**) Option "xkb_model" "pc105"
[     3.930] (**) Option "xkb_layout" "us"
[     3.930] (**) Option "xkb_variant" "mac"
[     3.930] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     3.930] (II) input device 'Sleep Button', /dev/input/event0 is tagged by udev as: Keyboard
[     3.930] (II) input device 'Sleep Button', /dev/input/event0 is a keyboard
[     3.931] (II) config/udev: Adding input device HDA Intel PCH Line (/dev/input/event7)
[     3.931] (II) No input driver specified, ignoring this device.
[     3.931] (II) This device may have been added with another device file.
[     3.931] (II) config/udev: Adding input device HDA Intel PCH Line Out (/dev/input/event8)
[     3.931] (II) No input driver specified, ignoring this device.
[     3.931] (II) This device may have been added with another device file.
[     3.932] (II) config/udev: Adding input device HDA Intel PCH Front Headphone (/dev/input/event9)
[     3.932] (II) No input driver specified, ignoring this device.
[     3.932] (II) This device may have been added with another device file.
[     3.932] (II) config/udev: Adding input device HDA Intel PCH HDMI/DP,pcm=3 (/dev/input/event10)
[     3.932] (II) No input driver specified, ignoring this device.
[     3.932] (II) This device may have been added with another device file.
[     3.932] (II) config/udev: Adding input device HDA Intel PCH Front Mic (/dev/input/event5)
[     3.932] (II) No input driver specified, ignoring this device.
[     3.932] (II) This device may have been added with another device file.
[     3.933] (II) config/udev: Adding input device HDA Intel PCH Rear Mic (/dev/input/event6)
[     3.933] (II) No input driver specified, ignoring this device.
[     3.933] (II) This device may have been added with another device file.
[     3.933] (II) config/udev: Adding input device Eee PC WMI hotkeys (/dev/input/event3)
[     3.933] (**) Eee PC WMI hotkeys: Applying InputClass "evdev keyboard catchall"
[     3.933] (**) Eee PC WMI hotkeys: Applying InputClass "libinput keyboard catchall"
[     3.933] (**) Eee PC WMI hotkeys: Applying InputClass "system-keyboard"
[     3.933] (**) Eee PC WMI hotkeys: Applying InputClass "Keyboard Defaults"
[     3.933] (II) Using input driver 'libinput' for 'Eee PC WMI hotkeys'
[     3.933] (**) Eee PC WMI hotkeys: always reports core events
[     3.933] (**) Option "Device" "/dev/input/event3"
[     3.933] (**) Option "_source" "server/udev"
[     3.933] (II) input device 'Eee PC WMI hotkeys', /dev/input/event3 is tagged by udev as: Keyboard
[     3.933] (II) input device 'Eee PC WMI hotkeys', /dev/input/event3 is a keyboard
[     3.950] (**) Option "config_info" "udev:/sys/devices/platform/eeepc-wmi/input/input6/event3"
[     3.950] (II) XINPUT: Adding extended input device "Eee PC WMI hotkeys" (type: KEYBOARD, id 10)
[     3.950] (**) Option "xkb_model" "pc105"
[     3.950] (**) Option "xkb_layout" "us"
[     3.950] (**) Option "xkb_variant" "mac"
[     3.950] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     3.951] (II) input device 'Eee PC WMI hotkeys', /dev/input/event3 is tagged by udev as: Keyboard
[     3.951] (II) input device 'Eee PC WMI hotkeys', /dev/input/event3 is a keyboard
[     4.117] (II) config/udev: Adding input device MOSART Semi. 2.4G Keyboard Mouse (/dev/input/mouse0)
[     4.117] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "system-keyboard"
[     4.117] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "Keyboard Defaults"
[     4.117] (II) No input driver specified, ignoring this device.
[     4.117] (II) This device may have been added with another device file.
[     4.147] (II) config/udev: Adding input device MOSART Semi. 2.4G Keyboard Mouse (/dev/input/event11)
[     4.147] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "evdev keyboard catchall"
[     4.147] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "libinput keyboard catchall"
[     4.147] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "system-keyboard"
[     4.147] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "Keyboard Defaults"
[     4.147] (II) Using input driver 'libinput' for 'MOSART Semi. 2.4G Keyboard Mouse'
[     4.147] (**) MOSART Semi. 2.4G Keyboard Mouse: always reports core events
[     4.147] (**) Option "Device" "/dev/input/event11"
[     4.147] (**) Option "_source" "server/udev"
[     4.147] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event11 is tagged by udev as: Keyboard
[     4.147] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event11 is a keyboard
[     4.180] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-10/1-10:1.0/0003:062A:5918.0002/input/input14/event11"
[     4.180] (II) XINPUT: Adding extended input device "MOSART Semi. 2.4G Keyboard Mouse" (type: KEYBOARD, id 11)
[     4.180] (**) Option "xkb_model" "pc105"
[     4.180] (**) Option "xkb_layout" "us"
[     4.180] (**) Option "xkb_variant" "mac"
[     4.180] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     4.180] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event11 is tagged by udev as: Keyboard
[     4.180] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event11 is a keyboard
[     4.180] (II) config/udev: Adding input device MOSART Semi. 2.4G Keyboard Mouse (/dev/input/event13)
[     4.180] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "evdev pointer catchall"
[     4.180] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "evdev keyboard catchall"
[     4.180] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "libinput pointer catchall"
[     4.180] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "libinput keyboard catchall"
[     4.180] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "system-keyboard"
[     4.180] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "Keyboard Defaults"
[     4.180] (II) Using input driver 'libinput' for 'MOSART Semi. 2.4G Keyboard Mouse'
[     4.180] (**) MOSART Semi. 2.4G Keyboard Mouse: always reports core events
[     4.180] (**) Option "Device" "/dev/input/event13"
[     4.180] (**) Option "_source" "server/udev"
[     4.181] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event13 is tagged by udev as: Keyboard Mouse
[     4.181] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event13 is a pointer caps
[     4.181] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event13 is a keyboard
[     4.216] (II) libinput: MOSART Semi. 2.4G Keyboard Mouse: needs a virtual subdevice
[     4.216] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-10/1-10:1.1/0003:062A:5918.0003/input/input16/event13"
[     4.216] (II) XINPUT: Adding extended input device "MOSART Semi. 2.4G Keyboard Mouse" (type: MOUSE, id 12)
[     4.216] (**) Option "AccelerationScheme" "none"
[     4.216] (**) MOSART Semi. 2.4G Keyboard Mouse: (accel) selected scheme none/0
[     4.216] (**) MOSART Semi. 2.4G Keyboard Mouse: (accel) acceleration factor: 2.000
[     4.216] (**) MOSART Semi. 2.4G Keyboard Mouse: (accel) acceleration threshold: 4
[     4.217] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event13 is tagged by udev as: Keyboard Mouse
[     4.217] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event13 is a pointer caps
[     4.217] (II) input device 'MOSART Semi. 2.4G Keyboard Mouse', /dev/input/event13 is a keyboard
[     4.217] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "evdev pointer catchall"
[     4.217] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "evdev keyboard catchall"
[     4.217] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "libinput pointer catchall"
[     4.217] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "libinput keyboard catchall"
[     4.217] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "system-keyboard"
[     4.217] (**) MOSART Semi. 2.4G Keyboard Mouse: Applying InputClass "Keyboard Defaults"
[     4.217] (II) Using input driver 'libinput' for 'MOSART Semi. 2.4G Keyboard Mouse'
[     4.217] (**) MOSART Semi. 2.4G Keyboard Mouse: always reports core events
[     4.217] (**) Option "Device" "/dev/input/event13"
[     4.217] (**) Option "_source" "_driver/libinput"
[     4.217] (II) libinput: MOSART Semi. 2.4G Keyboard Mouse: is a virtual subdevice
[     4.217] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-10/1-10:1.1/0003:062A:5918.0003/input/input16/event13"
[     4.217] (II) XINPUT: Adding extended input device "MOSART Semi. 2.4G Keyboard Mouse" (type: KEYBOARD, id 13)
[     4.217] (**) Option "xkb_model" "pc105"
[     4.217] (**) Option "xkb_layout" "us"
[     4.217] (**) Option "xkb_variant" "mac"
[     4.217] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     4.217] (II) config/udev: Adding input device Sony Computer Entertainment Wireless Controller (/dev/input/js0)
[     4.217] (II) No input driver specified, ignoring this device.
[     4.217] (II) This device may have been added with another device file.
[     4.218] (II) config/udev: Adding input device Sony Computer Entertainment Wireless Controller (/dev/input/event12)
[     4.218] (**) Sony Computer Entertainment Wireless Controller: Applying InputClass "joystick catchall"
[     4.218] (**) Sony Computer Entertainment Wireless Controller: Applying InputClass "joystick catchall"
[     4.218] (II) LoadModule: "joystick"
[     4.218] (II) Loading /usr/lib/xorg/modules/input/joystick_drv.so
[     4.218] (II) Module joystick: vendor="X.Org Foundation"
[     4.218] 	compiled for 1.16.0, module version = 1.6.2
[     4.218] 	Module class: X.Org XInput Driver
[     4.218] 	ABI class: X.Org XInput driver, version 21.0
[     4.218] (II) Using input driver 'joystick' for 'Sony Computer Entertainment Wireless Controller'
[     4.218] (**) Sony Computer Entertainment Wireless Controller: always reports core events
[     4.218] (**) Sony Computer Entertainment Wireless Controller (keys): Applying InputClass "joystick catchall"
[     4.218] (**) Sony Computer Entertainment Wireless Controller (keys): Applying InputClass "joystick catchall"
[     4.218] (II) Using input driver 'joystick' for 'Sony Computer Entertainment Wireless Controller (keys)'
[     4.218] (**) Sony Computer Entertainment Wireless Controller (keys): always reports core events
[     4.218] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/0003:054C:05C4.0001/input/input15/event12"
[     4.218] (II) XINPUT: Adding extended input device "Sony Computer Entertainment Wireless Controller (keys)" (type: JOYSTICK, id 14)
[     4.229] (**) Option "Device" "/dev/input/event12"
[     4.229] (**) Option "StartMouseEnabled" "False"
[     4.229] (**) Option "StartKeysEnabled" "False"
[     4.229] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/0003:054C:05C4.0001/input/input15/event12"
[     4.229] (II) XINPUT: Adding extended input device "Sony Computer Entertainment Wireless Controller" (type: JOYSTICK, id 15)
[     4.229] (II) Joystick: Sony Computer Entertainment Wireless Controller. bus 0x3 vendor 0x54c product 0x5c4 version 0x111
[     4.229] (II) Joystick: found 18 axes, 14 buttons
[     4.256] JOYSTICK: DebugLevel set to 0
[     4.256] (**) Sony Computer Entertainment Wireless Controller: (accel) keeping acceleration scheme 1
[     4.256] (**) Sony Computer Entertainment Wireless Controller: (accel) acceleration profile 0
[     4.256] (**) Sony Computer Entertainment Wireless Controller: (accel) acceleration factor: 2.000
[     4.256] (**) Sony Computer Entertainment Wireless Controller: (accel) acceleration threshold: 4
[     5.066] (II) config/udev: Adding input device Apple, Inc Apple Keyboard (/dev/input/event14)
[     5.066] (**) Apple, Inc Apple Keyboard: Applying InputClass "evdev keyboard catchall"
[     5.066] (**) Apple, Inc Apple Keyboard: Applying InputClass "libinput keyboard catchall"
[     5.066] (**) Apple, Inc Apple Keyboard: Applying InputClass "system-keyboard"
[     5.066] (**) Apple, Inc Apple Keyboard: Applying InputClass "Keyboard Defaults"
[     5.066] (II) Using input driver 'libinput' for 'Apple, Inc Apple Keyboard'
[     5.066] (**) Apple, Inc Apple Keyboard: always reports core events
[     5.066] (**) Option "Device" "/dev/input/event14"
[     5.066] (**) Option "_source" "server/udev"
[     5.066] (II) input device 'Apple, Inc Apple Keyboard', /dev/input/event14 is tagged by udev as: Keyboard
[     5.066] (II) input device 'Apple, Inc Apple Keyboard', /dev/input/event14 is a keyboard
[     5.100] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8.2/1-8.2.2/1-8.2.2:1.0/0003:05AC:0221.0004/input/input17/event14"
[     5.100] (II) XINPUT: Adding extended input device "Apple, Inc Apple Keyboard" (type: KEYBOARD, id 16)
[     5.100] (**) Option "xkb_model" "pc105"
[     5.100] (**) Option "xkb_layout" "us"
[     5.100] (**) Option "xkb_variant" "mac"
[     5.100] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     5.142] (II) input device 'Apple, Inc Apple Keyboard', /dev/input/event14 is tagged by udev as: Keyboard
[     5.142] (II) input device 'Apple, Inc Apple Keyboard', /dev/input/event14 is a keyboard
[     5.143] (II) config/udev: Adding input device Apple, Inc Apple Keyboard (/dev/input/event15)
[     5.143] (**) Apple, Inc Apple Keyboard: Applying InputClass "evdev keyboard catchall"
[     5.143] (**) Apple, Inc Apple Keyboard: Applying InputClass "libinput keyboard catchall"
[     5.143] (**) Apple, Inc Apple Keyboard: Applying InputClass "system-keyboard"
[     5.143] (**) Apple, Inc Apple Keyboard: Applying InputClass "Keyboard Defaults"
[     5.143] (II) Using input driver 'libinput' for 'Apple, Inc Apple Keyboard'
[     5.143] (**) Apple, Inc Apple Keyboard: always reports core events
[     5.143] (**) Option "Device" "/dev/input/event15"
[     5.143] (**) Option "_source" "server/udev"
[     5.143] (II) input device 'Apple, Inc Apple Keyboard', /dev/input/event15 is tagged by udev as: Keyboard
[     5.143] (II) input device 'Apple, Inc Apple Keyboard', /dev/input/event15 is a keyboard
[     5.170] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8.2/1-8.2.2/1-8.2.2:1.1/0003:05AC:0221.0005/input/input18/event15"
[     5.170] (II) XINPUT: Adding extended input device "Apple, Inc Apple Keyboard" (type: KEYBOARD, id 17)
[     5.170] (**) Option "xkb_model" "pc105"
[     5.170] (**) Option "xkb_layout" "us"
[     5.170] (**) Option "xkb_variant" "mac"
[     5.170] (**) Option "xkb_options" "terminate:ctrl_alt_bksp"
[     5.171] (II) input device 'Apple, Inc Apple Keyboard', /dev/input/event15 is tagged by udev as: Keyboard
[     5.171] (II) input device 'Apple, Inc Apple Keyboard', /dev/input/event15 is a keyboard
[ 14196.341] (II) SYN_DROPPED event from "MOSART Semi. 2.4G Keyboard Mouse" - some input events have been lost.
[ 14196.341] (II) SYN_DROPPED event from "Apple, Inc Apple Keyboard" - some input events have been lost.
Comment 1 marco.grimaldi 2016-09-09 13:43:10 UTC
Created attachment 126374 [details]
cat /sys/class/drm/card0/error | gzip > error.gz

i5 6600K
i530
Comment 2 Chris Wilson 2016-09-09 15:54:38 UTC
What version of mesa do you have?
Comment 3 marco.grimaldi 2016-09-09 16:14:09 UTC
(In reply to Chris Wilson from comment #2)
> What version of mesa do you have?

Hi Chris,

the default mesa from Manjaro:

mesa 12.0.1-7
Comment 4 marco.grimaldi 2016-09-13 10:52:49 UTC
Hi there,

today manjaro updated a few component:

Kernel 4.7.3
Xorg 1.18.4
Mesa 12.0.2

Tested Borderlands2 again, and the system crashes in the exct same point:

10 mins into the game, after the initial intro, folowing the bot up to the 'house'
Before been able to get into it, the game freazes and then crashes
All the times.

attached the updated card crash

dmesg is as before:
[  527.325544] [drm] stuck on render ring
[  527.328566] [drm] GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [1189], reason: Engine(s) hung, action: reset
[  527.328570] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[  527.328573] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[  527.328576] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[  527.328578] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[  527.328581] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[  527.331700] drm/i915: Resetting chip after gpu hang
[  529.325647] [drm] RC6 on
[  539.359244] [drm] stuck on render ring
[  539.362504] [drm] GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [1189], reason: Engine(s) hung, action: reset
[  539.364389] drm/i915: Resetting chip after gpu hang
[  541.359305] [drm] RC6 on
Comment 5 marco.grimaldi 2016-09-13 10:54:25 UTC
Created attachment 126478 [details]
cat /sys/class/drm/card0/error | gzip > error_BL2_update01.gz
Comment 6 marco.grimaldi 2016-09-19 20:00:48 UTC
Hi,

after updating to manjaro testing, I still get into the same error/crash

uname -a
Linux moby 4.7.4-1-MANJARO #1 SMP PREEMPT Thu Sep 15 20:11:38 UTC 2016 x86_64 GNU/Linux

Mesa 12.0.3

X.Org X Server 1.18.4

Attached the updated crash dump

Cheers,
M.
Comment 7 marco.grimaldi 2016-09-19 20:02:05 UTC
Created attachment 126632 [details]
cat /sys/class/drm/card0/error | gzip > error_BL2_update02.gz
Comment 8 marco.grimaldi 2016-09-19 20:05:35 UTC
Hi,

I forgot to add the dmesg output in the last update:

[  572.424996] [drm] stuck on render ring
[  572.428208] [drm] GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [1288], reason: Engine(s) hung, action: reset
[  572.428213] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[  572.428216] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[  572.428218] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[  572.428220] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[  572.428223] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[  572.431747] drm/i915: Resetting chip after gpu hang
[  574.425058] [drm] RC6 on
[  582.428673] [drm] stuck on render ring
[  582.431709] [drm] GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [1288], reason: Engine(s) hung, action: reset
[  582.434741] drm/i915: Resetting chip after gpu hang
[  584.405443] [drm] RC6 on

M.
Comment 9 Chad 2016-09-20 12:06:25 UTC
I've been having the exact same issue at the same point in the game. Running a Dell XPS 13 9350 Ubuntu 16.04 w/ kernels up to the latest mainline 4.8RC6. All have same issue. dmesg and gpu crash info below:

DMESG:

[  761.526619] [drm] GPU HANG: ecode 9:0:0x85dffffb, in Borderlands2 [2831], reason: Hang on render ring, action: reset
[  761.526622] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[  761.526623] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[  761.526624] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[  761.526625] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[  761.526627] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[  761.534566] drm/i915: Resetting chip after gpu hang
[  761.534955] [drm] GuC firmware load skipped
[  763.499353] [drm] RC6 on
[  777.523471] drm/i915: Resetting chip after gpu hang
[  777.523951] [drm] GuC firmware load skipped
[  779.530766] [drm] RC6 on
[  787.501268] drm/i915: Resetting chip after gpu hang
[  787.501702] [drm] GuC firmware load skipped
[  787.550160] show_signal_msg: 36 callbacks suppressed
[  787.550165] Borderlands2[2831]: segfault at 72a5c ip 00000
Comment 10 Kenneth Graunke 2016-09-25 04:44:38 UTC
I tried Borderlands 2 on my Skylake GT4 today, and I was able to reproduce your hang with Mesa 12.0.3.  Exact same spot - as soon as you and Claptrap reach the door, it tanks.  Error state looks identical - a PIPE_CONTROL just before 3DSTATE_DEPTH_BUFFER, on the normal drawing path (notably not BLORP).

I was unable to reproduce the hang with Mesa master, however.  So, the good news is that this may be fixed already.  Unfortunately I'm not sure what fixed it.  I suppose I'll have to bisect...
Comment 11 Kenneth Graunke 2016-09-25 05:58:15 UTC
Created attachment 126774 [details]
Bisect between 12.0.3 and master to find the patch which fixed the hangs

Annoyingly, the fix is apparently:

commit 1eef0b73aa323d94d5a080cd1efa81ccacdbd0d2
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Tue Jul 12 03:57:25 2016 -0700

    i965: Rewrite FS input handling to use the new NIR intrinsics.

which wasn't supposed to fix anything, but changes a lot of fragment shaders.

I suppose that tells us that it's a fragment shader that is hanging the GPU, which is at least something to go on...
Comment 12 Kenneth Graunke 2016-09-25 06:26:04 UTC
I tried to take an apitrace to reproduce the hang, so I could narrow down which draw call is going awry, but...that doesn't hang. :(
Comment 13 Matt Turner 2017-03-23 18:55:30 UTC
*** Bug 93528 has been marked as a duplicate of this bug. ***
Comment 14 Matt Turner 2017-03-23 18:56:46 UTC
In the bug I marked as a duplicate, the reporter said "mesa 10.5.7 works, while 10.6.0 causes the game to crash while loading."

So, I think this is more evidence that whatever the problem is -- it's something not directly related to the bisected commit.
Comment 15 GitLab Migration User 2019-09-25 18:58:05 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1537.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.